package com.displaynone.acss.components.acs.models.gate;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.ColumnDefault;

@Entity
@Data
@Builder
@Table(name = "gates")
@NoArgsConstructor
@AllArgsConstructor
public class GateModel {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(nullable = false)
    private Long code;

    @Column(nullable = false)  // For soft deletion
    private boolean isActive;

    @Column(nullable = false)  // For blocking in ACS
    private boolean isACSBlocked;
}