package com.displaynone.acss.components.acs.models.visit;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.CreationTimestamp;

import java.time.LocalDateTime;

@Entity
@Data
@Builder
@Table(name = "visits")
@NoArgsConstructor
@AllArgsConstructor
public class VisitModel {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(nullable = false)
    private Long userId;

    @Column(nullable = false)
    private Long gateId;

    @CreationTimestamp
    @Column(nullable = false)
    private LocalDateTime createdAt;
}
