package com.displaynone.acss.components.acs.models.visit.service;

import com.displaynone.acss.components.acs.models.visit.VisitModel;
import com.displaynone.acss.components.acs.models.visit.VisitRepository;
import lombok.RequiredArgsConstructor;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@RequiredArgsConstructor
public class VisitServiceImpl implements VisitService {
    private final VisitRepository visitRepository;

    private void saveVisit(VisitModel visit) {
        visitRepository.save(visit);
    }

    @Override
    public List<VisitModel> getByGateId(Long gateId) {
        return visitRepository.findByGateId(gateId);
    }

    @Override
    public List<VisitModel> getByUserId(Long userId) {
        return visitRepository.findByUserId(userId);
    }

    @Override
    public Page<VisitModel> getVisitsByGateIdPaginated(Long gateId, Pageable pageable) {
        return visitRepository.findByGateId(gateId, pageable);
    }

    @Override
    public Page<VisitModel> getVisitsByUserIdPaginated(Long userId, Pageable pageable) {
        return visitRepository.findByUserId(userId, pageable);
    }

    @Override
    public void createVisit(VisitModel visit) {
        saveVisit(visit);
    }
}
