package com.displaynone.acss.components.auth.models.user;

import com.displaynone.acss.utils.GlobalUtils;
import lombok.experimental.UtilityClass;

import java.util.Collection;
import java.util.List;

@UtilityClass
public class UserMapper {
    public UserDTO convertToDTO(UserModel model) {
        UserDTO dto = new UserDTO();

        dto.setId(model.getId());
        dto.setLogin(model.getLogin());
        dto.setName(model.getName());
        dto.setPhoto(model.getPhoto());
        dto.setPosition(model.getPosition());
        dto.setRoles(model.getRoles());
        dto.setActive(model.isActive());
        dto.setACSBlocked(model.isACSBlocked());

        return dto;
    }

    public List<UserDTO> convertAllToDTO(Collection<UserModel> models) {
        return GlobalUtils.convertAllToDTO(models, UserMapper::convertToDTO);
    }
}
